Chart-1.9.5: A library for generating 2D Charts and Plots

Copyright | (c) Anton Vorontsov <anton@enomsg.org> 2014
License | BSD-style (see chart/COPYRIGHT)
Safe Haskell | Safe-Inferred
Language | Haskell98

Graphics.Rendering.Chart.Plot.Vectors

Description

Vector plots

# Documentation

data PlotVectors x y Source #

Constructors

PlotVectors |

Fields

- _plot_vectors_title :: String
- _plot_vectors_style :: VectorStyle
- _plot_vectors_scale :: Double

  Set to 1 (default) to normalize the length of vectors to a space between them (so that the vectors never overlap on the graph). Set to 0 to disable any scaling. Values in between 0 and 1 are also permitted to adjust scaling.

- _plot_vectors_grid :: [(x, y)]

  Provide a square-tiled regular grid.

- _plot_vectors_mapf :: (x, y) -> (x, y)

  Provide a vector field (R^2 -> R^2) function.

- _plot_vectors_values :: [((x, y), (x, y))]

  Provide a prepared list of (start,vector) pairs.

#### Instances

Instances details

Default (PlotVectors x y) Source # |
Instance details Defined in Graphics.Rendering.Chart.Plot.Vectors Methods def :: PlotVectors x y Source #

data VectorStyle Source #

Constructors

VectorStyle |

Fields

- _vector_line_style :: LineStyle
- _vector_head_style :: PointStyle

#### Instances

Instances details

Default VectorStyle Source # |
Instance details Defined in Graphics.Rendering.Chart.Plot.Vectors Methods def :: VectorStyle Source #

plotVectorField :: (PlotValue x, PlotValue y) => PlotVectors x y -> Plot x y Source #

plot_vectors_mapf :: forall x y. Lens' (PlotVectors x y) ((x, y) -> (x, y)) Source #

plot_vectors_grid :: forall x y. Lens' (PlotVectors x y) [(x, y)] Source #

plot_vectors_title :: forall x y. Lens' (PlotVectors x y) String Source #

plot_vectors_style :: forall x y. Lens' (PlotVectors x y) VectorStyle Source #

plot_vectors_scale :: forall x y. Lens' (PlotVectors x y) Double Source #

plot_vectors_values :: forall x y. Lens' (PlotVectors x y) [((x, y), (x, y))] Source #

vector_line_style :: Lens' VectorStyle LineStyle Source #

vector_head_style :: Lens' VectorStyle PointStyle Source #